#
# spec file for package perl-Getopt-Long-Descriptive
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Getopt-Long-Descriptive
Name:           perl-Getopt-Long-Descriptive
Version:        0.116.0
Release:        1.4
# 0.116 -> normalize -> 0.116.0
%define cpan_version 0.116
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Getopt::Long, but simpler and more powerful
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(CPAN::Meta::Check) >= 0.011
BuildRequires:  perl(CPAN::Meta::Requirements)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.78
BuildRequires:  perl(Getopt::Long) >= 2.55
BuildRequires:  perl(Params::Validate) >= 0.97
BuildRequires:  perl(Sub::Exporter) >= 0.972
BuildRequires:  perl(Sub::Exporter::Util)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Test::Warnings) >= 0.005
Requires:       perl(Getopt::Long) >= 2.55
Requires:       perl(Params::Validate) >= 0.97
Requires:       perl(Sub::Exporter) >= 0.972
Requires:       perl(Sub::Exporter::Util)
Provides:       perl(Getopt::Long::Descriptive) = %{version}
Provides:       perl(Getopt::Long::Descriptive::Opts) = %{version}
Provides:       perl(Getopt::Long::Descriptive::Usage) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
Getopt::Long::Descriptive is yet another Getopt library. It's built atop
Getopt::Long, and gets a lot of its features, but tries to avoid making you
think about its huge array of options.

It also provides usage (help) messages, data validation, and a few other
useful features.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -path "*/scripts/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Tue Dec 31 2024 Tina Müller <timueller+perl@suse.de>
- updated to 0.116.0 (0.116)
  see /usr/share/doc/packages/perl-Getopt-Long-Descriptive/Changes
  0.116     2024-12-30 16:13:39-05:00 America/New_York
  - do not leave Getopt::Long configuration in an altered state after
    getting options
  0.115     2024-11-07 18:00:02+00:00 Europe/Dublin
  - cope with the user forgetting the first argument, generally "%%c %%o",
    to `describe_options`, by assuming they meant that value exactly
* Sun Jan 21 2024 Tina Müller <timueller+perl@suse.de>
- updated to 0.114
  see /usr/share/doc/packages/perl-Getopt-Long-Descriptive/Changes
  0.114     2024-01-20 17:14:21-05:00 America/New_York
  - a switch with (required => 0) is no longer treated as a required!
* Mon Dec 18 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.113
  see /usr/share/doc/packages/perl-Getopt-Long-Descriptive/Changes
  0.113     2023-12-15 16:55:46-05:00 America/New_York
  - improve line wrapping so spacers (non-option text lines) can use more
    horizontal characters
  - replace tabs (generally 8 space) indents in output with four spaces
* Tue Nov 21 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.112
  see /usr/share/doc/packages/perl-Getopt-Long-Descriptive/Changes
  0.112     2023-11-20 19:34:53-05:00 America/New_York
  - This version removes the redundant option warning, which is now
    provided by Getopt::Long v2.55 and later -- which is now required!
    As before, this will someday become fatal.
* Mon Jan  2 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.111
  see /usr/share/doc/packages/perl-Getopt-Long-Descriptive/Changes
  0.111     2022-12-31 21:15:52-05:00 America/New_York
  - clean up the required perl version in the code
  - update author contact info
* Mon Nov  1 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.110
  see /usr/share/doc/packages/perl-Getopt-Long-Descriptive/Changes
  0.110     2021-10-30 23:11:43-04:00 America/New_York
  - just small packaging updates
* Wed Mar 17 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.109
  see /usr/share/doc/packages/perl-Getopt-Long-Descriptive/Changes
  0.109     2021-03-16 19:55:45-04:00 America/New_York
  - eliminate warnings-count failure by requiring an ExtUtils::MakeMaker
    from late 2013 or later;  without this, very old EUMM could pass -w
    to the tests, enabling more warnings than we wanted (thanks, Matthew
    Horsfall and Graham Knop!)
  0.108     2021-03-16 09:54:51-04:00 America/New_York
  - provide diagnostics in tests when more warnings arrive than are
    expected
* Mon Mar 15 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.107
  see /usr/share/doc/packages/perl-Getopt-Long-Descriptive/Changes
  0.107     2021-03-14 16:15:57-04:00 America/New_York
  - Term::ReadKey has been dropped; caused too many problems
  - minimum version is now v5.10.1, not v5.10.0
  0.106     2021-03-12 21:29:54-05:00 America/New_York
  - improved formatting of switches
  - when available, use Term::ReadKey to get terminal width
  - when an option name is defined twice, warn about it
    THIS WILL BECOME FATAL IN A FUTURE VERSION
* Wed Feb 26 2020 <timueller+perl@suse.de>
- updated to 0.105
  see /usr/share/doc/packages/perl-Getopt-Long-Descriptive/Changes
  0.105     2020-02-26 09:40:36+11:00 Australia/Melbourne
  - one_of suboptions now get accessors (thanks, Michael McClimon!)
* Sun Apr 28 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.104
  see /usr/share/doc/packages/perl-Getopt-Long-Descriptive/Changes
  0.104     2019-04-27 10:50:50+01:00 Europe/London
  - allow for verbatim text in descripition options
* Fri Aug  3 2018 coolo@suse.com
- updated to 0.103
  see /usr/share/doc/packages/perl-Getopt-Long-Descriptive/Changes
  0.103     2018-08-02 11:11:30-04:00 America/New_York
  - show --[no-]option for boolean toggle options
* Wed Feb 21 2018 coolo@suse.com
- updated to 0.102
  see /usr/share/doc/packages/perl-Getopt-Long-Descriptive/Changes
  0.102     2018-02-20 14:44:17-05:00 America/New_York
  - long spacer lines are now line broken
  - "empty" spacer lines no longer have leading whitespace
  - option specifications ":+" and ":5" (etc.) now get better
    presentation in the usage description
* Wed Feb  7 2018 coolo@suse.com
- updated to 0.101
  see /usr/share/doc/packages/perl-Getopt-Long-Descriptive/Changes
  0.101     2018-01-21 19:32:11-05:00 America/New_York
  - escape some unescaped braces in regex
* Wed Jul 13 2016 coolo@suse.com
- updated to 0.100
  see /usr/share/doc/packages/perl-Getopt-Long-Descriptive/Changes
  0.100     2016-07-11 22:21:26-04:00 America/New_York
  - show off "shortcircuit" in synopsis (thanks, Zhenyi Zhou)
  - Fix rendering of complex types ('i@' → 'INT...', etc)
    (thanks, Arthur Axel fREW Schmidt)
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.099
  see /usr/share/doc/packages/perl-Getopt-Long-Descriptive/Changes
  0.099     2015-01-23 21:11:09-05:00 America/New_York
  - options that take arguments now indicate the argument's type and
    whether it can be given multiply (thanks, Niels Thykier)
  0.098     2014-11-16 14:35:34-05:00 America/New_York
  - when showing defaults, show false ones, too
* Fri Mar  7 2014 coolo@suse.com
- updated to 0.097
  - explicitly make the default behavior case-sensitive
  - add show_defaults option (thanks, Thomas Neumann)
* Tue Oct  8 2013 coolo@suse.com
- updated to 0.096
  - update version of Test::Warnings required
    (thanks, Alexandr Ciornii!)
* Fri Oct  4 2013 coolo@suse.com
- updated to 0.095
  - add the "shortcircuit" option option (thanks, Diab Jerius!)
  - update documentation to note that failed validation is fatal (thanks,
    SMYLERS)
  - show off "required" in the SYNOPSIS (thanks, OALDERS)
* Wed Jun  5 2013 coolo@suse.com
- updated to 0.093
    bogus %%-codes in usage description are now noticed and fatal
    make "hidden" options usable on their own (thanks, Roman Hubacek!)
* Thu Feb 23 2012 coolo@suse.com
- updated to 0.091
    don't die quite so violently when a Params::Validate constraint fails
    (initial patch by harleypig@github; final blame to RJBS)
* Fri Sep 16 2011 coolo@suse.com
- updated to 0.090
  bump prereq on Params::Validate to deal with recent buggy versions
* Fri Sep 16 2011 coolo@suse.com
- remove %%attr for docu
* Wed Apr  6 2011 coolo@novell.com
- updated to 0.089
    bump version to deal with busted PAUSE indexing
    fix infinite loop when long option documentation strings couldn't wrap
    (HDP)
* Wed Dec 29 2010 pascal.bleser@opensuse.org
- update to 0.087
- regenerated spec file as it was based on the very old cpanspec
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Tue Jan 12 2010 nine@detonation.org
- Specfile autogenerated by cpanspec 1.78.
